/*
 * Presenca.java
 *
 * Created on February 1, 2007, 4:54 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.medicina.presencas;

import com.evolute.utils.data.IDObject;
import siprp.data.Marcacao;

/**
 *
 * @author fpalma
 */
public class Presenca 
		implements IDObject, Comparable
{
	protected Integer id;
	protected String nome;
	protected String nomePlain;
	protected String nomeEmpresa;
	protected Integer tipo;
	
	/** Creates a new instance of Presenca */
	public Presenca( Integer id, String nome, String nomePlain, String nomeEmpresa,
						Integer tipo )
	{
		this.setId(id);
		this.setNome(nome);
		this.setNomePlain(nomePlain);
		this.setNomeEmpresa(nomeEmpresa);
		this.setTipo(tipo);
	}
	
	public Integer getID()
	{
		return getId();
	}
	
	public int compareTo( Object other )
	{
		return getNomePlain().compareTo( ( ( Presenca ) other ).getNomePlain() );
	}
	
	public String toString()
	{
		String empresa = getNomeEmpresa();
		return "<html><body>" + getNome() + "<br>" 
				+ "<font size=-1>&nbsp;&nbsp;&nbsp;&nbsp;(" + empresa.substring( 0, empresa.length() > 50 ? 50 : empresa.length() ) 
				+ ")</font>" + "</body></html>";
	}

	public Integer getId()
	{
		return id;
	}

	public void setId(Integer id)
	{
		this.id = id;
	}

	public String getNome()
	{
		return nome;
	}

	public void setNome(String nome)
	{
		this.nome = nome;
	}

	public String getNomePlain()
	{
		return nomePlain;
	}

	public void setNomePlain(String nomePlain)
	{
		this.nomePlain = nomePlain;
	}

	public String getNomeEmpresa()
	{
		return nomeEmpresa;
	}

	public void setNomeEmpresa(String nomeEmpresa)
	{
		this.nomeEmpresa = nomeEmpresa;
	}

	public Integer getTipo()
	{
		return tipo;
	}

	public void setTipo(Integer tipo)
	{
		this.tipo = tipo;
	}
	
}
